optional.hpp File Reference

Forward declares `boost::hana::optional`. More...

## Classes

struct | boost::hana::optional< T >
| Optional value whose optional-ness is known at compile-time. More...
struct | boost::hana::optional_tag
| Tag representing a `hana::optional`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Forward declares `boost::hana::optional`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)